+++
title = "You've convinced me - so how do I back up?"
description = "Backups are a contentions and complicated subject, but these simple rules should help guide you."
weight = 3
type = "post"
+++

* Always back up in _some way_. While a copy of the data on the same array won't protect you against all, or even very many, failure modes, it will protect you against some, and those are usually the most common.
* A _backup on the same server_ is susceptable to the _same failures as the original data_ set (hardware failure, natural disasters, and the like).
* A good rule of thumb is _three copies_: the _original_ (RAID or otherwise); one _onsite copy_ on a different, preferrably offline, medium; and one _offsite copy_. Store the offsite copy in the cloud, a data vault, or at a friend's house, just keep it somewhere else.
* _Make backups regularly_, at least once a week, preferrably more, and automate it! Forgetting to back something up and then needing just that backup is never fun, and the more frequently you back up, especially incrementally, the better your recovery resolution.
* _Test backups regularly_, at least once a month; _a backup is worthless if you can't restore from it_. Just because you have a backup doesn't mean you're protected; always test them and fix any problems. If you never test your backup, you will almost certainly find it doesn't work, right when you need it.

There are dozens of backup utilities out there; I'm not going to prosthelytize for any one of them, but I personally use [BackupPC](http://backuppc.sourceforge.net/) and good ol' fashoned `rsync` for my server and workstation backups.

Only you can determine what you need to back up, but if you can't replace some data, you should definitely back it up - Murphy's Law applies here as much as anywhere.
